Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.net
Interface IMessageCallback

All Known Subinterfaces:
  IAsyncCallback, IAsyncResult, IWriteResponseHandler

All Known Implementing Classes:
  AbstractWriteResponseHandler, AsyncRepairCallback, DatacenterReadCallback, DatacenterSyncWriteResponseHandler, DatacenterWriteResponseHandler, ReadCallback, RepairCallback, TruncateResponseHandler, WriteResponseHandler

    public interface IMessageCallback

Method Summary
`boolean` | `isLatencyForSnitch()`

Method Detail

### isLatencyForSnitch

    boolean isLatencyForSnitch()

  Returns:
    true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation